Scilab Function
Last update : 20/12/2004

range - range (span) of `A^k`

### Calling Sequence

  `[X,dim]=range(A,k)`

### Parameters

- `A`: real square matrix
- `k`: integer
- `X`: non-singular real matrix
- `dim`: integer (dimension of subspace)

### Description

Computation of Range `A^k` ; the first dim columns of `X` span the range of `A^k`.

### See Also

`fullrfk`, `rowcomp`,

### Author

F. D.; ;